Debian Bug report logs - #661676
CMake: Generated export file

version graph

Package: libvtk5-dev; Maintainer for libvtk5-dev is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for libvtk5-dev is src:vtk.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Wed, 29 Feb 2012 08:06:02 UTC

Severity: normal

Merged with 661383, 661706

Found in version vtk/5.8.0-6

Fixed in version vtk/5.8.0-7

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#661676; Package cmake. (Wed, 29 Feb 2012 08:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Modestas Vainius <modax@debian.org>. (Wed, 29 Feb 2012 08:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: CMake: Generated export file
Date: Wed, 29 Feb 2012 09:02:21 +0100
Package: cmake
Severity: normal

Following a discussion on debian-wb-team@l.d.o I am filling a bug
against cmake.
Bug #661383 and #506992 describe the symptoms. Basically cmake
internal mecanism to generating export file store full path to
library, which is an issue during the Multi-Arch transition as file
could contains:

$ cat /usr/lib/vtk-5.8/VTKTargets-release.cmake
...
# Import target "vtkmetaio" for configuration "RELEASE"
SET_PROPERTY(TARGET vtkmetaio APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
SET_TARGET_PROPERTIES(vtkmetaio PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "/usr/lib/libz.so;vtksys"
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/libvtkmetaio.so.5.8.0"
  IMPORTED_SONAME_RELEASE "libvtkmetaio.so.5.8"
  )
...


/usr/lib/libz.so does not exists anymore on debian/sid.

I do not know if this possible but it would be much more flexible if
cmake could generated instead:

...
# Import target "vtkmetaio" for configuration "RELEASE"
SET_PROPERTY(TARGET vtkmetaio APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
SET_TARGET_PROPERTIES(vtkmetaio PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "z;vtksys"
  IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/libvtkmetaio.so.5.8.0"
  IMPORTED_SONAME_RELEASE "libvtkmetaio.so.5.8"
  )
...

ref:
http://lists.debian.org/debian-wb-team/2012/02/msg00050.html

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#661676; Package cmake. (Wed, 29 Feb 2012 14:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brad King <brad.king@kitware.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Wed, 29 Feb 2012 14:24:15 GMT) Full text and rfc822 format available.

Message #10 received at 661676@bugs.debian.org (full text, mbox):

From: Brad King <brad.king@kitware.com>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 661676@bugs.debian.org
Subject: Re: CMake: Generated export file
Date: Wed, 29 Feb 2012 09:23:49 -0500
On 2/29/2012 3:02 AM, Mathieu Malaterre wrote:
> Bug #661383 and #506992 describe the symptoms. Basically cmake
> internal mecanism to generating export file store full path to
> library
[snip]
>    IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "/usr/lib/libz.so;vtksys"

Right.  CMake uses full paths for linking to avoid ambiguities.  Users
that set ZLIB_LIBRARY=/some/path/to/a/file/libz.so expect *that* file
to be used, not /some/other/path/that/came/first/in/search/path/libz.so,
and not /some/path/to/a/file/libz.a.  When building against a library
that publishes this file in its link interface users expect the *same*
library to be used for that link as was used originally.

> I do not know if this possible but it would be much more flexible if
> cmake could generated instead:
[snip]
>    IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "z;vtksys"

If you want the VTK package to use "z" as its zlib library instead of
a specific file then build it with -DZLIB_LIBRARY=z to tell it so.

-Brad




Information forwarded to debian-bugs-dist@lists.debian.org, Modestas Vainius <modax@debian.org>:
Bug#661676; Package cmake. (Wed, 29 Feb 2012 15:18:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Modestas Vainius <modax@debian.org>. (Wed, 29 Feb 2012 15:18:16 GMT) Full text and rfc822 format available.

Message #15 received at 661676@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Brad King <brad.king@kitware.com>
Cc: 661676@bugs.debian.org
Subject: Re: CMake: Generated export file
Date: Wed, 29 Feb 2012 16:17:17 +0100
reassign 661676 vtk 5.8.0-6
thanks

On Wed, Feb 29, 2012 at 3:23 PM, Brad King <brad.king@kitware.com> wrote:
> If you want the VTK package to use "z" as its zlib library instead of
> a specific file then build it with -DZLIB_LIBRARY=z to tell it so.

Excellent, thanks much !


-- 
Mathieu




Bug reassigned from package 'cmake' to 'vtk'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:21:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 5.8.0-6. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:21:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'vtk' to 'libvtk5-dev'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:27:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 5.8.0-6. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:27:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions vtk/5.8.0-6. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:27:08 GMT) Full text and rfc822 format available.

Forcibly Merged 661383 661676 661706. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 29 Feb 2012 15:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#661676; Package libvtk5-dev. (Wed, 29 Feb 2012 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Wed, 29 Feb 2012 20:45:06 GMT) Full text and rfc822 format available.

Message #32 received at 661676@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Modestas Vainius <modax@debian.org>
Cc: 661676@bugs.debian.org, Control bugs server <control@bugs.debian.org>
Subject: Re: Bug#661676: CMake: Generated export file
Date: Wed, 29 Feb 2012 21:43:35 +0100
reopen 661676
thanks

Package was reassigned to vtk. Please do not close until it is
actually fixed. I need to find some time. Thanks.

On Wed, Feb 29, 2012 at 9:34 PM, Modestas Vainius <modax@debian.org> wrote:
...
> The problem is referring to external libraries which don't use cmake. As Brad
> already explained, since cmake was told to link (and export via
> INK_INTERFACE_LIBRARIES) libz as /usr/lib/libz.so, it did so. If you tell
> cmake to link libz as -lz, it will do so as well. This way -lz will also
> finally end up in IMPORTED_LINK_INTERFACE_LIBRARIES. On the other hand,
> probably most Find*.cmake modules find external libraries as full path rather
> than as -l syntax (unless the library uses pkgconfig I suppose).
>
> So there is no magic here, cmake simply does what it's told to do. Unless you
> are proposing to magically s,/usr/lib/lib,-l, behind the scenes (which would
> be a very bad practise IMHO), I don't see what cmake can do here.

Contrary to you, I do not believe this is so trivial and IMHO a *lot*
of debian packages -today- are using the default cmake mecanisme (eg.
find_package(JPEG) ). They will  will be bitten by this soon.

As a side note Brad's description does not take into account case
where find_package(BLA) internally calls find_package(FOO) which is an
implementation details, as such we will be bitten by this without
notice.

Finally Brad's description does not take into account issues such as this one:

...
# Import target "vtkGraphicsJava" for configuration "RELEASE"
SET_PROPERTY(TARGET vtkGraphicsJava APPEND PROPERTY
IMPORTED_CONFIGURATIONS RELEASE)
SET_TARGET_PROPERTIES(vtkGraphicsJava PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE
"vtkGraphics;vtkFilteringJava;/usr/lib/jvm/default-java/jre/lib/amd64/libjawt.so"
  IMPORTED_LOCATION_RELEASE
"${_IMPORT_PREFIX}/lib/jni/libvtkGraphicsJava.so.5.8.0"
  IMPORTED_SONAME_RELEASE "libvtkGraphicsJava.so.5.8"
  )
...

So again I do not believe we can close so easily this bug.

-- 
Mathieu




Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Wed, 29 Feb 2012 20:54:04 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 29 Feb 2012 20:54:04 GMT) Full text and rfc822 format available.

Message #37 received at 661676-done@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 661676-done@bugs.debian.org
Subject: Re: Bug#661676: CMake: Generated export file
Date: Wed, 29 Feb 2012 22:34:27 +0200
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 29 Vasaris 2012 10:02:21 Mathieu Malaterre wrote:
> Package: cmake
> Severity: normal
> 
> Following a discussion on debian-wb-team@l.d.o I am filling a bug
> against cmake.
> Bug #661383 and #506992 describe the symptoms. Basically cmake
> internal mecanism to generating export file store full path to
> library, which is an issue during the Multi-Arch transition as file
> could contains:
> 
> $ cat /usr/lib/vtk-5.8/VTKTargets-release.cmake
> ...
> # Import target "vtkmetaio" for configuration "RELEASE"
> SET_PROPERTY(TARGET vtkmetaio APPEND PROPERTY IMPORTED_CONFIGURATIONS
> RELEASE) SET_TARGET_PROPERTIES(vtkmetaio PROPERTIES
>   IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE "/usr/lib/libz.so;vtksys"
>   IMPORTED_LOCATION_RELEASE "${_IMPORT_PREFIX}/lib/libvtkmetaio.so.5.8.0"
>   IMPORTED_SONAME_RELEASE "libvtkmetaio.so.5.8"
>   )
> ...

There is no problem with cmake export mechanism as such. CMake libraries are 
supposed to ship export files themselves which contain both target name and 
library path. Once library is rebuilt for multiarch, library path changes in 
the export file (same source package). However, all external packages always 
refer to those cmake based libraries by *target name* rather than path so 
there is no issue here.

The problem is referring to external libraries which don't use cmake. As Brad 
already explained, since cmake was told to link (and export via 
INK_INTERFACE_LIBRARIES) libz as /usr/lib/libz.so, it did so. If you tell 
cmake to link libz as -lz, it will do so as well. This way -lz will also 
finally end up in IMPORTED_LINK_INTERFACE_LIBRARIES. On the other hand, 
probably most Find*.cmake modules find external libraries as full path rather 
than as -l syntax (unless the library uses pkgconfig I suppose).

So there is no magic here, cmake simply does what it's told to do. Unless you 
are proposing to magically s,/usr/lib/lib,-l, behind the scenes (which would 
be a very bad practise IMHO), I don't see what cmake can do here.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Wed, 29 Feb 2012 20:54:05 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 29 Feb 2012 20:54:05 GMT) Full text and rfc822 format available.

Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Wed, 29 Feb 2012 20:54:06 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Wed, 29 Feb 2012 20:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#661676; Package libvtk5-dev. (Wed, 29 Feb 2012 21:09:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Wed, 29 Feb 2012 21:09:15 GMT) Full text and rfc822 format available.

Message #52 received at 661676@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 661676@bugs.debian.org
Subject: Re: Bug#661676: CMake: Generated export file
Date: Wed, 29 Feb 2012 23:05:13 +0200
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 29 Vasaris 2012 22:43:35 Mathieu Malaterre wrote:
> reopen 661676
> thanks
> 
> Package was reassigned to vtk. Please do not close until it is
> actually fixed. I need to find some time. Thanks.

Ok. Sorry, I didn't check before closing.

> On Wed, Feb 29, 2012 at 9:34 PM, Modestas Vainius <modax@debian.org> wrote:
> ...
> 
> > The problem is referring to external libraries which don't use cmake. As
> > Brad already explained, since cmake was told to link (and export via
> > INK_INTERFACE_LIBRARIES) libz as /usr/lib/libz.so, it did so. If you tell
> > cmake to link libz as -lz, it will do so as well. This way -lz will also
> > finally end up in IMPORTED_LINK_INTERFACE_LIBRARIES. On the other hand,
> > probably most Find*.cmake modules find external libraries as full path
> > rather than as -l syntax (unless the library uses pkgconfig I suppose).
> > 
> > So there is no magic here, cmake simply does what it's told to do. Unless
> > you are proposing to magically s,/usr/lib/lib,-l, behind the scenes
> > (which would be a very bad practise IMHO), I don't see what cmake can do
> > here.
> 
> Contrary to you, I do not believe this is so trivial and IMHO a *lot*
> of debian packages -today- are using the default cmake mecanisme (eg.
> find_package(JPEG) ). They will  will be bitten by this soon.

However, basically none (with expection of VTK and KDE probably) *exports* 
them via LINK_INTERFACE_LIBRARIES. Plain linking with full path is no-issue, 
exporting such a path is an issue so it needs extra care to implement right 
(VTK has a long history of doing it wrong though).

> As a side note Brad's description does not take into account case
> where find_package(BLA) internally calls find_package(FOO) which is an
> implementation details, as such we will be bitten by this without
> notice.

Why would such a transitive dependency need to end up in  
LINK_INTERFACE_LIBRARIES? Unless VTK exposes interface of the external library 
(in the perfect world it shouldn't), the library should not end up in 
LINK_INTERFACE_LIBRARIES. Probably you need to carefully review what VTK puts 
to LINK_INTERFACE_LIBRARIES and remove useless stuff.

> Finally Brad's description does not take into account issues such as this
> one:
> 
> ...
> # Import target "vtkGraphicsJava" for configuration "RELEASE"
> SET_PROPERTY(TARGET vtkGraphicsJava APPEND PROPERTY
> IMPORTED_CONFIGURATIONS RELEASE)
> SET_TARGET_PROPERTIES(vtkGraphicsJava PROPERTIES
>   IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE
> "vtkGraphics;vtkFilteringJava;/usr/lib/jvm/default-java/jre/lib/amd64/libja
> wt.so" IMPORTED_LOCATION_RELEASE
> "${_IMPORT_PREFIX}/lib/jni/libvtkGraphicsJava.so.5.8.0"
>   IMPORTED_SONAME_RELEASE "libvtkGraphicsJava.so.5.8"
>   )
> ...

And cmake could do about this? Just remove /usr/lib/jvm/default-
java/jre/lib/amd64/libjawt.so from LINK_INTERFACE_LIBRARIES and be done with 
it. I think it is quite sane to imply that caller should specify java version 
it needs (in this case at least).

> So again I do not believe we can close so easily this bug.

Yep, we can't. But the ball is on the VTK side.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 21:45:08 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Mon, 05 Mar 2012 09:27:52 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Mar 2012 09:27:54 GMT) Full text and rfc822 format available.

Message #59 received at 661676-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 661676-close@bugs.debian.org
Subject: Bug#661676: fixed in vtk 5.8.0-7
Date: Mon, 05 Mar 2012 09:23:02 +0000
Source: vtk
Source-Version: 5.8.0-7

We believe that the bug you reported is fixed in the latest version of
vtk, which is due to be installed in the Debian FTP archive:

libvtk-java_5.8.0-7_amd64.deb
  to main/v/vtk/libvtk-java_5.8.0-7_amd64.deb
libvtk5-dev_5.8.0-7_amd64.deb
  to main/v/vtk/libvtk5-dev_5.8.0-7_amd64.deb
libvtk5-qt4-dev_5.8.0-7_amd64.deb
  to main/v/vtk/libvtk5-qt4-dev_5.8.0-7_amd64.deb
libvtk5.8-qt4_5.8.0-7_amd64.deb
  to main/v/vtk/libvtk5.8-qt4_5.8.0-7_amd64.deb
libvtk5.8_5.8.0-7_amd64.deb
  to main/v/vtk/libvtk5.8_5.8.0-7_amd64.deb
python-vtk_5.8.0-7_amd64.deb
  to main/v/vtk/python-vtk_5.8.0-7_amd64.deb
tcl-vtk_5.8.0-7_amd64.deb
  to main/v/vtk/tcl-vtk_5.8.0-7_amd64.deb
vtk-doc_5.8.0-7_all.deb
  to main/v/vtk/vtk-doc_5.8.0-7_all.deb
vtk-examples_5.8.0-7_all.deb
  to main/v/vtk/vtk-examples_5.8.0-7_all.deb
vtk_5.8.0-7.debian.tar.gz
  to main/v/vtk/vtk_5.8.0-7.debian.tar.gz
vtk_5.8.0-7.dsc
  to main/v/vtk/vtk_5.8.0-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661676@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <mathieu.malaterre@gmail.com> (supplier of updated vtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Mar 2012 21:54:19 +0100
Source: vtk
Binary: vtk-doc vtk-examples libvtk5.8 libvtk-java libvtk5-dev libvtk5.8-qt4 libvtk5-qt4-dev tcl-vtk python-vtk
Architecture: source amd64 all
Version: 5.8.0-7
Distribution: unstable
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Description: 
 libvtk-java - Visualization Toolkit - A high level 3D visualization library - j
 libvtk5-dev - VTK header files for building C++ code
 libvtk5-qt4-dev - Visualization Toolkit - A high level 3D visualization library - Q
 libvtk5.8  - Visualization Toolkit - A high level 3D visualization library - r
 libvtk5.8-qt4 - Visualization Toolkit - A high level 3D visualization library - Q
 python-vtk - Python bindings for VTK
 tcl-vtk    - Tcl bindings for VTK
 vtk-doc    - VTK class reference documentation
 vtk-examples - C++, Tcl and Python example programs/scripts for VTK
Closes: 661676
Changes: 
 vtk (5.8.0-7) unstable; urgency=low
 .
   * Prepare vtk for move to multi-arch (png,tiff,z,jpeg). Closes: #661676
   * Bump to Std-Vers: 3.9.3, no changes needed.
Checksums-Sha1: 
 90a1818df0f8a6689de4e88fdb3a8ecae185467e 2966 vtk_5.8.0-7.dsc
 8fe534949209eaf43d856d27b118c1e30ba4e2ae 55273 vtk_5.8.0-7.debian.tar.gz
 6b4570f26150f790d07f9febd981da3b8b4a5744 15261944 libvtk5.8_5.8.0-7_amd64.deb
 6afff3cc40cc47b04ccb9a14f9049e6b3f7c00d4 4959332 libvtk-java_5.8.0-7_amd64.deb
 110e20c483f6b14cc30d56bcd05a494e4deef088 2897040 libvtk5-dev_5.8.0-7_amd64.deb
 a482bcc5cfa71653fa1d7603024d616a5d2bfe3d 484066 libvtk5.8-qt4_5.8.0-7_amd64.deb
 097a7ebb2541926c02d653670c4691e7b15cc4aa 116858 libvtk5-qt4-dev_5.8.0-7_amd64.deb
 dede189508f32b1df94b52fe9ba5a542d3c8cdfd 5324016 tcl-vtk_5.8.0-7_amd64.deb
 81a106bc3d62b050d8fc7e2d2353d79505f0f226 7300344 python-vtk_5.8.0-7_amd64.deb
 4e7af1975cf56fa920c49debc62b7a852d0eb50d 70291352 vtk-doc_5.8.0-7_all.deb
 e315dc15500ac39550cab9ef45d842920eebb2b6 587960 vtk-examples_5.8.0-7_all.deb
Checksums-Sha256: 
 889448d2aee793849888887cdaf73c7a9722027c4d3e2dde372bfa36c47fd9c9 2966 vtk_5.8.0-7.dsc
 28fab14ea3f74ef461acfb4e8dcd3c8e4d583449108622ea96d866292e614796 55273 vtk_5.8.0-7.debian.tar.gz
 5e70a272769e0caff11f5443af66d71c791c811dbf619b281d47950e51a7043c 15261944 libvtk5.8_5.8.0-7_amd64.deb
 4d490650e1a3e34513a8aacf46ac77126ad6a1db932ff8969d5ec2c00c37e0cb 4959332 libvtk-java_5.8.0-7_amd64.deb
 a00758f37ef43b17f0ec17a888e2d525f6d7b12567ea72023409751082db558a 2897040 libvtk5-dev_5.8.0-7_amd64.deb
 8368ee05f4a07582f8abac0571cc08c080930a2f6eee6507220d5f78cecbb27d 484066 libvtk5.8-qt4_5.8.0-7_amd64.deb
 364a8645e0e89687cbb67248725dbb95d433fed9c85927fb1ee18b826389377b 116858 libvtk5-qt4-dev_5.8.0-7_amd64.deb
 b14c55c8dc94abbf0010dc1d15bfdf38d5c4ada4f999c8b1a887b03c5d893923 5324016 tcl-vtk_5.8.0-7_amd64.deb
 41dfa841ecbbf5bfed4773709145f3ccefd9e81f728426d64a5749d95630b4db 7300344 python-vtk_5.8.0-7_amd64.deb
 72e8e8faadc0e9591ec2db6064b6053a973100566923c767fe986f75e58792c3 70291352 vtk-doc_5.8.0-7_all.deb
 d940df071dd5c09c45eb1e0bbd8e398d9b6014b182b238f77ca77787b4402c5e 587960 vtk-examples_5.8.0-7_all.deb
Files: 
 3345255d1e640491bd048f5749a9ddca 2966 graphics optional vtk_5.8.0-7.dsc
 6a80fd9b87d53d0962347f819a8c383a 55273 graphics optional vtk_5.8.0-7.debian.tar.gz
 e6b21bf3b12bfde3ffdc036996ead845 15261944 libs optional libvtk5.8_5.8.0-7_amd64.deb
 920f643e8fd288e54085ac93905a9d0d 4959332 java optional libvtk-java_5.8.0-7_amd64.deb
 10b88265eb77b727e91e9bfa8706b1b9 2897040 libdevel optional libvtk5-dev_5.8.0-7_amd64.deb
 0560b0c275829bc0a59727064800d025 484066 libs optional libvtk5.8-qt4_5.8.0-7_amd64.deb
 821679bcc5fa683c918aae69e6d46efb 116858 libdevel optional libvtk5-qt4-dev_5.8.0-7_amd64.deb
 69a8a8f9d0f1a891b65385a309ad481d 5324016 interpreters optional tcl-vtk_5.8.0-7_amd64.deb
 19a53315da56c530773d42bf6c4d445d 7300344 python optional python-vtk_5.8.0-7_amd64.deb
 6716b4b3563648fbfb5d4546b3b2f386 70291352 doc optional vtk-doc_5.8.0-7_all.deb
 1a06bd9d53989ab88238423438122be4 587960 graphics optional vtk-examples_5.8.0-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPVHIPAAoJEAFx4YKK4JNFEo4P/jiiKedwW5DSGraWtMdYYHc6
IPJjDkUXSjHRFVvmS1zgTv9ezqYTtF1aOGzyybDnLPb4IWzDbS+e+ec7VyoCXMP1
AWyFwp2aSbGCSrflj66h60NZOuC+GeIKXLrwzeOOlo8CRolyOC++YbSMDFeYjLbr
AB013aJ8nSiMAfaNu66cKno7bj81hYUhCJne6sUq5G+8Of0E5vchPiKvzuAJLoKg
K7f0oPm3MkwqczocHZOTFEmrxyc8HEE6VjW1V9G6mw7LhJFJOO2IqTFNmAU8PLQz
s8lsvoaIyEo6FSC2zTbg7SJiFjy1R2MUInjwm4IMxOAKJnaoUDH3NTskiAOFld9m
nCh5HxS4hq4G3oDwEE8u9Ri7y/796jnXiciXS2punGf/G212I24NAN91+yHO9va+
d0uSCtnDrU+hbKs2k+bhWoVjZp9IYcMbdQlhkWaYygHsYHGGzYE4MsaFUVm4vJOQ
sE8BkG2zZbGZUlSLlSqJTUjK00bgHR/Sl8GtOOfaH2kAc2XvwLhzJ9Bm75kekCmq
5o6cBulC7XxxT4xpaTYnLb7Y/jFeS66DMgEdQJiDSsXiZagYUtwWWrRQnpX0I1KX
Qzuf6pLURIOMBy2L29fsMTMYrk/yf8sgRop4ZyaLxrWd9hFMAOVEOPLdUrUhgFnh
rg+Q+NqU/73FOgXE7opI
=tIYt
-----END PGP SIGNATURE-----





Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Mon, 05 Mar 2012 09:27:58 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Mar 2012 09:28:00 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Mon, 05 Mar 2012 09:28:05 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Mon, 05 Mar 2012 09:28:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Apr 2012 07:33:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:15:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.